local xml = {}

local SLAXML = require(cc.PACKAGE_NAME..".libraries.slaxdom")
local TMXParser = require(cc.PACKAGE_NAME..".libraries.RunawayTMXParser")
local tinyxml = require(cc.PACKAGE_NAME..".libraries.tinyxml")

function xml.decode(text, args)
    args = args or {simple=true}
    return SLAXML:dom(text, args)
end

function xml.parseMap(mapfile)
    return TMXParser.eat(mapfile)
end

function xml.parseLine(string)
	return tinyxml.parse(string)
end

return xml
