-- DEBUG
DEBUG_LOG_LEVEL = 1

--EVENTS
EVENT_SEND_HTML_EMAIL	= 	"sendHTMLEmail"
EVENT_SEND_SMS	=	"sendSMS"
EVENT_WEBVIEW_LOAD_FINISHED = "webView_Load_finished"

EVENT_APPLICATION_MEMORY_WARNING = "applicationDidReceiveMemoryWarning"
EVENT_APPLICATION_MEMORY_WARNING_ELAPSED = "memoryWarningTimerElapsed"

EVENT_APPLICATION_LOCAL_NOTIFICATION = "applicationdidReceiveLocalNotification"
EVENT_APPLICATION_PUSH_NOTIFICATION = "applicationdidReceivePushNotification"
EVENT_ON_SESSION_CHECK = "eventOnSessionCheck"

EVENT_FACEBOOK_CONNECTED = 'connectedToFacebook'

APP_ENTER_BACKGROUND_EVENT = "APP_ENTER_BACKGROUND_EVENT"
APP_ENTER_FOREGROUND_EVENT = "APP_ENTER_FOREGROUND_EVENT"
APP_BACKGROUND_AUDIO_CHANGED = "APP_BACKGROUND_AUDIO_CHANGED"
APP_OPEN_URL = "applicationopenURL"
APP_TERMINATED = "APP_TERMINATED"
APP_ACTIVE = "APP_ACTIVE"
URL_RUNAWAY_LAUNCHER_APP_IOS           = "com.runawayplay.launcher://"
URL_RUNAWAY_LAUNCHER_APP_ANDROID       = "app://com.runawayplay.launcher"

RUNAWAY_TERMS_OF_SERVICE               = "https://s3-us-west-2.amazonaws.com/runawayshelf/TermsAndConditions.html"
RUNAWAY_PRIVACY_POLICY                 = "https://s3-us-west-2.amazonaws.com/runawayshelf/PrivacyPolicy.html"

APP_NATIVE_SHARE_RESULT = "appNativeShareResult"
LOCAL_APP_NATIVE_SHARE_RESULT = "localAppNativeShareResult"

EVENT_GPU_RATING_CALCULATED = "EVENT_GPU_RATING_CALCULATED"

MAIN_EVENT_ROTATE   	= "rotate"

EVENT_WILL_CHANGE_SCENE = "willChangeScene"

LOCAL_EVENT_BACK_BUTTON = "backButton"

EVENT_VC_PACKAGES_RECEIVED = "vcPackagesReceived"

EVENT_METADATA_RECEIVED = 'metadataReceived'

EVENT_REQUEST_PERMISSION_RESULT = "onRequestPermissionsResult"
EVENT_SAVE_PHOTO_TO_LIBRARY_RESULT = "onSavePhotoToLibraryResult"

SHOW_GDPR_DIALOG = true

ORI_LANDSCAPE               = 'landscape'
ORI_PORTRAIT                = 'portrait'

ANDROID_ORIENTATION_LANDSCAPE = 0
ANDROID_ORIENTATION_PORTRAIT  = 1
ANDROID_INSTANT_CLOSE         = false -- turning this on removes the close dialog when hitting the back button (required for android featuring)

SHADOW_COLOR                  = cc.c4b(0,0,0,150)
SHADOW_OFFSET_AS_PT           = cc.p(0.22,-0.22)
SHADOW_BLUR                   = 2

--KEY PRESSES
runaway.KeyCode = {
	KEY_BACK = 6,
}

--LAYOUT
TOP_LEFT      = 'TOP LEFT'
TOP_CENTER    = 'TOP CENTER'
TOP_RIGHT     = 'TOP RIGHT'
CENTER_LEFT   = 'CENTER LEFT'
CENTER        = 'CENTER CENTER'
CENTER_RIGHT  = 'CENTER RIGHT'
BOTTOM_LEFT   = 'BOTTOM LEFT'
BOTTOM_CENTER = 'BOTTOM CENTER'
BOTTOM_RIGHT  = 'BOTTOM RIGHT'

--PLUGINS
runaway.PluginResult = {
    kSucceed = 0,
    kFailed = 1,
    kCancelled = 2,
    kTimeout = 3,
    kCrashed = 4
}

--ResolutionPolicy
cc.EXACT_FIT = 0
cc.NO_BORDER = 1
cc.SHOW_ALL = 2
cc.FIXED_HEIGHT = 3
cc.FIXED_WIDTH = 4
cc.UNKNOWN= 5

HTTPREQUEST_GET = 0
HTTPREQUEST_GET_IMAGE = 0.1
HTTPREQUEST_POST = 1
HTTPREQUEST_PUT = 2
HTTPREQUEST_DELETE = 3
HTTPREQUEST_UNKNOWN = 4

HTTPREQUEST_SUCCESS = 0
HTTPREQUEST_NOT_MODIFIED = 304
HTTPREQUEST_SUCCESS_NOT_MODIFIED = 304
HTTPREQUEST_ERROR_NO_RESPONSE = 1
HTTPREQUEST_ERROR_NOT_SUCCEED = 2
HTTPREQUEST_ERROR_NO_REQUEST = 3
HTTPREQUEST_ERROR_UNAUTHORIZED = 401

--Mailbox Manager
MAIL_INCOMING = 'mailIncoming'
MAIL_PROCESS = 'mailProcess'

MAIL_GIFT = 0
MAIL_MESSAGE = 1
MAIL_DEBUG = 2
MAIL_SOCIAL = 3
MAIL_OMNIATA = 4
MAIL_ADMIN = 5
MAIL_VOUCHER = 6

--Fyber
FYBER_BRANDENGAGECLIENT_AREOFFERSAVAILABLE = "FyberBrandEngageClientAreOffersAvailable"
FYBER_BRANDENGAGECLIENT_STATUSCHANGE = "FyberBrandEngageClientDidChangeStatus"
FYBER_VC_DELTAOFCOINSRESPONSE = "FyberVCDidReceiveDeltaOfCoinsResponse"
FYBER_VC_FAILEDWITHERROR = "FyberVCDidReceiveFailedWithError"
FYBER_OFFERWALL_CLOSED = "FyberOfferwallClosed"

FYBER_TYPE = {
    REWARD_VIDEO = 0,
    AD_WALL = 1,
}

FyberBrandEngageStatus = {
    STARTED = 0,
    CLOSE_FINISHED = 1,
    CLOSE_ABORTED = 2,
    ERROR = 3,
}

FyberVCError = {
    NO_ERROR = 0,
    ERROR_NO_INTERNET_CONNECTION = 1,
    ERROR_INVALID_RESPONSE = 2,
    ERROR_INVALID_RESPONSE_SIGNATURE = 3,
    SERVER_RETURNED_ERROR = 4,
    ERROR_OTHER = 5
}

--IAP
IAP_RESULT = {
    BUY = 0,
    CANCEL = 1,
    FRAUD = 2,
    REFUND = 3
}

--Social
-- lower number -> higher priority
SOCIAL_MOBAGE 		= 1
SOCIAL_FACEBOOK 	= 2
SOCIAL_GOOGLEPLAY 	= 3
SOCIAL_GAMECENTER   = 4
SOCIAL_LCD          = 5
SOCIAL_GUEST        = 6
SOCIAL_AMAZON       = 7
SOCIAL_TWITTER      = 8

SOCIAL_FACEBOOK_PARAMS = {}
SOCIAL_GOOGLEPLAY_PARAMS = {}
SOCIAL_GAMECENTER_PARAMS = {}
SOCIAL_AMAZON_PARAMS = {}

CONNECTION_FACEBOOK    = "facebook"
CONNECTION_GAMECENTER  = "gameCenter"
CONNECTION_GOOGLEPLAY  = "googlePlay"
CONNECTION_AMAZON      = "amazon"
CONNECTION_TWITTER     = "twitter"

REBUILD_MENUS = "_REBUILD_MENUS"
REBUILD_FRIENDS = "_REBUILD_FRIENDS"

SOCIAL_2_NOTIFY_LOGOUT = "social2NotifyLogout"

ERROR_HANDLED = '_ERROR_HANDLED'

ERROR_CODES = {
	[1] = {name = 'Test Error', message = 'This is a silent error', showDialog = false, needRestart = false},
	[2] = {name = 'Test Error', message = 'This is a noisy error', showDialog = true, needRestart = false},
	[3] = {name = 'Test Error', message = 'This is a catastrophic error', showDialog = true, needRestart = true},
    [4] = {name = 'Error', message = 'There has been a problem with the game!', showDialog = true, needRestart = true},
    [5] = {name = 'Synchronization Failed', message = 'Your game has become unsynchronized with the server.\nPress OK to restart.', showDialog = true, needRestart = true},
}

ERROR_CODES_SERVER = {
	[1] = {name = 'Session re-gained', message = '', showDialog = false, needRestart = true},
	[2] = {name = 'Mobage tokenClient error', message = 'There was an issue getting authenticating the server with the Mobage service', showDialog = true, needRestart = false},
	[3] = {name = 'Game settings not found', message = 'There was an issue getting the game settings', showDialog = true, needRestart = true},
	[4] = {name = 'Mailbox not found', message = 'There was an issue getting the mailbox', showDialog = false, needRestart = false},
	[5] = {name = 'Mailitem could not be read', message = 'There was an issue reading the mailbox item', showDialog = false, needRestart = false},
	[6] = {name = 'User object not found in Oauth object', message = 'There was an issue authorizing the user', showDialog = true, needRestart = false},
	[7] = {name = 'Social account could not be removed', message = 'There was an issue removing the social account', showDialog = true, needRestart = false},
	[8] = {name = 'Mailitem recepient could not be found', message = 'There was an issue finding the recipient of the mail item', showDialog = true, needRestart = false},
	[9] = {name = 'Social account already used', message = 'This social account is already used in another game save', showDialog = false, needRestart = false},
	[10] = {name = 'Account type not specified', message = 'There was a problem link your friends', showDialog = false, needRestart = false},
	[11] = {name = 'LCD client not found', message = 'There was a problem reaching the authentication server', showDialog = true, needRestart = false},
	[12] = {name = 'Account could not be found to claim', message = 'There was a problem claiming the account', showDialog = true, needRestart = false},
	[13] = {name = 'Bank params not found', message = 'There was a problem getting the bank transaction', showDialog = false, needRestart = false},
	[14] = {name = 'Bank transaction not found', message = 'There was a problem getting the bank transaction', showDialog = false, needRestart = false},
	[15] = {name = 'Log in Unsuccessful', message = 'Oops! There was a problem creating a new account. Let’s try again, and if the problem persists, please contact our friendly support staff.', showDialog = true, needRestart = false, internalDesc = "Problem creating new user account"},
	[16] = {name = 'Correct params not specified', message = 'There was a issue with the params', showDialog = true, needRestart = false},
	[17] = {name = 'Issue upating the session', message = 'There was a issue with the session', showDialog = true, needRestart = false},
	[18] = {name = 'Issue upating the user', message = 'There was a issue saving you game', showDialog = true, needRestart = false},
	[19] = {name = 'Issue creating a log', message = 'There was a issue creating a log', showDialog = true, needRestart = false},
	[20] = {name = 'Issue creatig a mailitem', message = 'There was a issue creating a mailitem', showDialog = true, needRestart = false},
	[21] = {name = 'Issue updating friends', message = 'Oops! There was an issue updating your friends list. We’ll try again next time you load the game.', showDialog = true, needRestart = false},
	[22] = {name = 'Currency could not be found', message = 'There was a issue getting the currency', showDialog = false, needRestart = false},
    [23] = {name = 'Game in maintenance',      message = 'The creatures in your Sanctuary are taking a rest as we perform maintenance.\nPlease try again in a few minutes.', showDialog = true, needRestart = true},
    [24] = {name = 'Sanctuary in maintenance', message = 'The creatures in your Sanctuary are taking a rest as we perform maintenance.\nPlease try again in a few minutes.', showDialog = true, needRestart = true},
    [25] = {name = 'Reload Sanctuary', message = 'Your Sanctuary has been updated.\nPress OK to reload the game.', showDialog = true, needRestart = true},
    [26] = {name = 'LCD Cert error', message = 'There has been an error saving the LCD certificate', showDialog = true, needRestart = true},
    [27] = {name = 'LCD Cert error', message = 'There has been an error loading the LCD certificate', showDialog = true, needRestart = true},
    [28] = {name = 'Error saving bank transaction', message = 'Sorry there was an error saving the transaction', showDialog = false, needRestart = false},
    [29] = {name = 'Incorrect save sequence number', message = 'Save number was out of sequence', showDialog = false, needRestart = false},
    [30] = {name = 'Sanctuary in maintenance', message = 'The creatures in your Sanctuary are taking a rest as we perform maintenance.\nPlease try again in a few minutes.', showDialog = true, needRestart = true},
    [31] = {name = 'Server logging error', message = 'The server was unable to log the request', showDialog = false, needRestart = false},
    [32] = {name = 'Issue saving data', message = 'A save was attempted with no data', showDialog = false, needRestart = false},
    [33] = {name = 'Facebook account error', message = 'There was an error logging in with your Facebook account. Please check your Facebook connection and try again!', showDialog = true, needRestart = true},
    [34] = {name = 'Migration error', message = 'There was an error migrating your account. Please contact our friendly support team for assistance', showDialog = false, needRestart = false},
    [35] = {name = 'Purchase error', message = 'We were unable to confirm your purchase. Please try again and if this continues, contact our wonderful support staff for help.', showDialog = true, needRestart = false},
    [36] = {name = 'Social account already used', message = 'This social account is already used in another game save, and cannot be re-assigned', showDialog = false, needRestart = false},
    [37] = {name = 'Invalid Coupon', message = 'Invalid Coupon', showDialog = false, needRestart = false},
    [38] = {name = 'Auth Data Update Required', message = 'Account merged, so we need to update your authData', showDialog = false, needRestart = false},
    [39] = {name = 'Transaction Already Consumed', message = 'This purchase transaction has already been Consumed', showDialog = false, needRestart = false},
}

SERVER_ENDPOINTS = {
    RequestToken = {string.format("%s/oauth/request_token",SERVER_URL), method = HTTPREQUEST_GET },
    AccessToken = {string.format("%s/oauth/access_token",SERVER_URL), method = HTTPREQUEST_GET },
    User = {string.format("%s/user",SERVER_URL), method = HTTPREQUEST_GET },
    UserPost = {string.format("%s/user",SERVER_URL), method = HTTPREQUEST_POST },
    UserFindByDevice = {string.format("%s/user/findByDeviceId",SERVER_URL), method = HTTPREQUEST_POST },
    UserClaimByDevice = {string.format("%s/user/claimByDeviceId",SERVER_URL), method = HTTPREQUEST_POST },
    Session = {string.format("%s/session",SERVER_URL), method = HTTPREQUEST_GET },
    Settings = {string.format("%s/settings",SERVER_URL), method = HTTPREQUEST_GET },
    Log = {string.format("%s/log",SERVER_URL), method = HTTPREQUEST_POST },
    Mailbox = {string.format("%s/mailbox",SERVER_URL), method = HTTPREQUEST_GET },
    MailboxCreate = {string.format("%s/mailbox/create",SERVER_URL), method = HTTPREQUEST_POST },
    MailboxRead = {string.format("%s/mailbox/read",SERVER_URL), method = HTTPREQUEST_POST },
    AccountAdd = {string.format("%s/account/add",SERVER_URL), method = HTTPREQUEST_POST },
    AccountRemove = {string.format("%s/account/remove",SERVER_URL), method = HTTPREQUEST_POST },
    SocialGet = {string.format("%s/social",SERVER_URL), method = HTTPREQUEST_GET },
    FriendsGet = {string.format("%s/social/friends",SERVER_URL), method = HTTPREQUEST_GET },
    FriendsPost = {string.format("%s/social/friends",SERVER_URL), method = HTTPREQUEST_POST },
    FriendsLink = {string.format("%s/social/friends/link",SERVER_URL), method = HTTPREQUEST_POST },
    BankPost = {string.format("%s/bank/transaction",SERVER_URL), method = HTTPREQUEST_POST },
    BankGet = {string.format("%s/bank/transaction",SERVER_URL), method = HTTPREQUEST_GET },
    CurrencyRate = {string.format("%s/bank/currency",SERVER_URL), method = HTTPREQUEST_GET },
    LoginLcd = {string.format("%s/loginLcd",SERVER_URL), method = HTTPREQUEST_POST },                   --  LCD setup
    LoginNative = {string.format("%s/loginNative",SERVER_URL), method = HTTPREQUEST_POST },             --  for once LCD is removed setup
    UserDelete = {string.format("%s/user/delete",SERVER_URL), method = HTTPREQUEST_GET },       --  DEBUG API FOR DELETING ALL USER DATA FROM SERVER
    SpendLCD = {string.format("%s/lcd/bank/spend",SERVER_URL), method = HTTPREQUEST_POST },
    GiftLCD = {string.format("%s/lcd/bank/gift",SERVER_URL), method = HTTPREQUEST_POST },
    Spend = {string.format("%s/bank/spend",SERVER_URL), method = HTTPREQUEST_POST },
    Gift = {string.format("%s/bank/gift",SERVER_URL), method = HTTPREQUEST_POST },
    ConfirmTransaction = {string.format("%s/bank/confirmTransaction",SERVER_URL), method = HTTPREQUEST_POST },
    CloseTransaction = {string.format("%s/bank/closeTransaction",SERVER_URL), method = HTTPREQUEST_POST },
    PublicCounterValue = {string.format("%s/counter/value",SERVER_URL), method = HTTPREQUEST_POST },
    PublicCounterIncrement = {string.format("%s/counter/increment",SERVER_URL), method = HTTPREQUEST_POST },
    NewsGet = {string.format("%s/news",SERVER_URL), method = HTTPREQUEST_GET },
    ActivityList = {string.format("%s/activity/list",SERVER_URL), method = HTTPREQUEST_POST },
    ActivityAdd = {string.format("%s/activity/add",SERVER_URL), method = HTTPREQUEST_POST },
    EmailSubscribe = {string.format("%s/subscribe",SERVER_URL), method = HTTPREQUEST_POST },
    ConfirmSubscriptionActive = {string.format("%s/bank/confirmSubscriptionActive",SERVER_URL), method = HTTPREQUEST_POST },
}

RETRY_NETWORK = "\nIf this problem persists, and you are still connected to the internet, then the problem is probably on our end and we'll fix it asap. Thanks!"
RESTART_GAME = "\nPress OK to restart."
RUNAWAY_TERMS_OF_SERVICE = "https://s3-us-west-2.amazonaws.com/runawayshelf/TermsAndConditions.html"
RUNAWAY_PRIVACY_POLICY = "https://s3-us-west-2.amazonaws.com/runawayshelf/PrivacyPolicy.html"

SKELETON_MESSAGES = {
    NetworkFailedOldSave        = {Title = "Connection Error", Desc = "Unable to check for old game data."..RETRY_NETWORK},
    NetworkFailedOldSaveClaim   = {Title = "Connection Error", Desc = "Unable to claim old game data."..RETRY_NETWORK},
    NetworkFailedSettings       = {Title = "Connection Error", Desc = "Oops! There was a problem connecting to your Sanctuary. If you still have an internet connection, please wait a few minutes and try again. If the problem persists, contact our support team."},
    NetworkFailedDlc            = {Title = "Connection Error", Desc = "Unable to connect to the server to check for new content."..RETRY_NETWORK},
    NetworkFailedGetUser        = {Title = "Connection Error", Desc = "Oops! We were unable to connect to your Sanctuary. If you are still connected to the internet, please try again in a few minutes. If the problem persists, contact our support team."},
    NetworkFailedGetToken       = {Title = "Connection Error", Desc = "We were unable to get a server request token."..RETRY_NETWORK},
    NetworkFailedAuthToken      = {Title = "Connection Error", Desc = "We were unable to authorise a server request token."..RETRY_NETWORK},
    NetworkFailedAccessToken    = {Title = "Connection Error", Desc = "We were unable to get a server access token."..RETRY_NETWORK},
    NetworkFailedLogin          = {Title = "Connection Error", Desc = "Unable to log in."..RETRY_NETWORK},
    NetworkFailedMailGet        = {Title = "Connection Error", Desc = "Unable to get mail."..RETRY_NETWORK},
    NetworkFailedHCSync         = {Title = "Connection Error", Desc = "Unable to get currency data."..RETRY_NETWORK},
    NetworkFailedConnection     = {Title = "Connection Error", Desc = "Your network connection has been lost."..RETRY_NETWORK},
    NetworkFailedPersistence    = {Title = "Connection Error", Desc = "There was a problem connecting to our servers to save your sanctuary. Please press 'okay' to try again."},
    NetworkFailedLCDSpend       = {Title = "Connection Error", Desc = "There was a problem spending currency."..RETRY_NETWORK},
    NetworkFailedLCDGetBundles  = {Title = "Connection Error", Desc = "There was a problem fetching purchase options."..RETRY_NETWORK},
    NetworkFailedLCDSession     = {Title = "Connection Error", Desc = "Unable to connect to the user server."..RETRY_NETWORK},

    FacebookFailedTitle         = "Facebook Registration Problem.",
    FacebookFailedRegister      = "There was a problem registering with Facebook.",
    ServerFailedTitle           = "Server Error",
    ServerFailedSettings        = "Unable to read server settings\nContinuing without update.",

    NetworkNotConnected         = {Title = "No Network Available", Desc = "Please connect to a network to continue."},
    OldGameFound                = {Title = "Old game data found", Desc = "We found an old game save for this device.  Do you want to restore it?\n%s"},
    LogoutGuest                 = {Title = "Confirm Logout", Desc = "Are you sure you wish to logout? We recommend you connect to a Facebook account to keep your Sanctuary safe and easy to access. If you prefer to play as a guest, you can use 'Recover' to log back in later."},
    LogoutSocial                = {Title = "Confirm Logout", Desc = "Are you sure you wish to logout? It’s safe to just close the app instead. If you do logout you will be able to log back in later with your Facebook account."},
    DataOutOfDate               = {Title = "Restart", Desc = "Your sanctuary data is out of date.\nWe'll restart the game with your latest data."},
    DlcUpdateCompete            = {Title = "Update complete", Desc = "We have just finished updating some resources in your game."..RESTART_GAME},
    DlcUpdateFailed             = {Title = "Retry Update", Desc = "Oops! There was an error downloading updates.\nPress OK to try again."},
    SocialAccountInvalid        = {Title = "Incorrect %s Account", Desc = "A different %s account was previously connected to your game. To get back to being a social butterfly, please check you are logged into your correct %s account."},
    SocialAccountFailed         = {Title = "%s Connection Failed", Desc = "There was a problem connecting your %s account.  Please try again."},
    SocialAccountDuplicate      = {Title = "%s Account Already Used", Desc = "This %s account is already used in another sanctuary, and cannot be re-assigned. Please check this article to learn how to fix this and if the problem persists, contact our lovely support team. "},
    SocialAccountReassign       = {Title = "%s Account Already Used", Desc = "The %s account %sis already connected to a different sanctuary. Do you want to connect it to this sanctuary instead?"},
    SocialAccountConnected      = {Title = "%s Account Connected", Desc = "Your %s account has been connected to your game.  Share some gifts with your friends!"},
    SocialAccountDisconnected   = {Title = "%s Account Disconnected", Desc = "You have signed out of %s"},
    UpdateAvailable             = {Title = "Update available!", Desc = "An update to this game is available! Update now to see the exciting changes in your Sanctuary!"},
    UpdateRecommended           = {Title = "Update available!", Desc = "An update to this game is available! Would you like to update now to see the exciting changes in your Sanctuary?"},
    UpdateRequired              = {Title = "Update Required", Desc = "Your sanctuary has been saved with a newer version of the game. You must update this device to continue playing."},
    ServerUpdated               = {Title = "Game Update", Desc = "The sanctuary has been updated! Press OK to reload"},
    MigrationFailed             = {Title = "Migration Failed", Desc = "We were unable to migrate your account.  Please try again, and contact the support team if the problem persists"},
    SupportDisabled             = {Title = "Support Disabled", Desc = "The support options have been disabled for your account due to misconduct."},
    InviteSent                  = {Title = "Invite Sent", Desc = "Your friend should receive an invite soon!"},
    InviteFailed                = {Title = "Oops!", Desc = "We can't send that on this device!"},
    quitGame                    = {Title = "Quit?", Desc = "Are you sure you want to quit the game?"},
    GDPR                        = {Title = "Privacy Policy", Desc = "Hi! You must read and accept the Privacy Policy to continue playing. Thank you!"},
    
    Accept                      = "ACCEPT",
    PrivacyPolicy               = "I have read and agree to the privacy policy",
    PrivacyPolicyTitle          = "Privacy Policy",
    
    DownloadingDlc              = "Checking for updates.",
    DownloadingPercentage       = "Download ",
    UpdateComplete              = "Update Complete",
    UpdateCompleteWithErrors    = "Content update completed with errors",
    StartingGame                = "Starting Game",
    Loading                     = "Loading...",
    DownloadingSettings         = "Downloading server settings",
    LoggingIn                   = "Logging in",
    NoSession                   = "No existing session found",
    StartNewGame                = "Creating new account",
    DownloadingGameData         = "Downloading game data",
    LoadingComplete             = "Loading game data complete"
}

ERROR_AUTO_DISMISS_TIME = 5

--Required Game Code overrides
ONGETUSER_DATA = function(data)
    return data
end


PLATFORM_SPRITEFRAME_SPINNER = "#SpinnerBlack"

-- this is used for auto-renewing subscription validation, if this is changed either here
-- or in iTunes connect, auto subs will break. So don't touch.
STAGING_SHARED_SECRET = "a8bd1e5f1ba94a178fa66b94022a47f9"
PRODUCTION_SHARED_SECRET = "a8bd1e5f1ba94a178fa66b94022a47f9"


