
local json = {}
local cjson = require("cjson")

-- local diffPatchatron = require(cc.PACKAGE_NAME..".libraries.diffPatchatron")

function json.encode(var)
    local status, result = pcall(cjson.encode, var)
    if status then return result end
    if DEBUG > 1 then
        echoError("json.encode() - encoding failed: %s", tostring(result))
    end
end

function json.decode(text)
    local status, result = pcall(cjson.decode, text)
    if status then return result end
    if DEBUG > 1 then
        echoError("json.decode() - decoding failed: %s", tostring(result))
    end
end

-- function json.diff(left, right)
--     local diffs = diffPatchatron.diff(left, right)
--     return json.encode(diffs)
-- end

json.null = cjson.null

return json
