local runner = require(cc.PACKAGE_NAME .. ".libraries.coverage.runner")

local configuration = {
	["statsfile"] = string.format("%scoverage.stats.out", runaway.FileHelpers:getTmpPath()),

	  -- filename to store report
	["reportfile"] = string.format("%scoverage.report.out", runaway.FileHelpers:getTmpPath()),
	runreport = true,
	codefromstrings = true,
	["include"] = {
	},

	-- Patterns for files to exclude when reporting
	-- all will be included if nothing is listed
	-- (exclude overrules include, do not include
	-- the .lua extension, path separator is always '/')
	["exclude"] = {
		"coverage$",
		"coverage/reporter$",
		"coverage/defaults$",
		"coverage/runner$",
		"coverage/stats$",
		"coverage/tick$",
	},
	["rootPath"] = runaway.Native:getAppPath()
}

dump(configuration, configuration)
runner.init(configuration)
return runner