--
-- Creates a GUID.
--

local guid = {};

guid.char = {"A", "B", "C", "D", "E", "F","1","2","3","4","5","6","7","8","9"};
guid.isHyphen = {[9]=1,[14]=1,[19]=1,[24]=1};

local socket = require("socket")  -- gettime() has higher precision than os.time()
math.randomseed(socket.gettime()*10000)

function guid.generate()
    guid.pass = {}
    for z = 1,36 do
        if guid.isHyphen[z] then
            guid.x='-';
        else
            guid.a = math.random(1,#guid.char); -- randomly choose a character from the "guid.char" array
            guid.x = guid.char[guid.a]
        end
        table.insert(guid.pass, guid.x) -- add new index into array.
    end
    return tostring(table.concat(guid.pass)); -- concatenate all indicies of the array, then return concatenation.
end

return guid;